package cn.wisenergy.web.shiro;

import org.apache.shiro.authc.AuthenticationToken;

/**
 * token
 */
public class AuthToken implements AuthenticationToken {
    private String token;

    public AuthToken(String token) {
        this.token = token;
    }

    @Override
    public String getPrincipal() {
        return token;
    }

    @Override
    public Object getCredentials() {
        return token;
    }
}
